package com.easou.users.analysis.collect;

public class DatabaseParameter {
	public static final int		VERSION					= 5;
	public static final String	DATABASENAME			= "u.dbv5";
	public static final String	TABLE_REPORTS			= "reports";
	public static final String	TABLE_EXCEPTIONS		= "exceptions";
	public static final String	TABLE_BEHAVIORS			= "behaviors";
	public static final String	TABLE_EVENTINFO			= "eventinfo";
	public static final String	TABLE_ACTIVITIES		= "activities";
	public static final String  TABLE_SHARE 			= "share";
	public static final String 	TABLE_CUSTOM			= "custom";
	public static final String TABLE_APPLIST			= "applist";
	
	public static final String	CREATE_TABLE_REPORTS	= "create table IF NOT EXISTS " + TABLE_REPORTS + " (id INTEGER PRIMARY KEY AUTOINCREMENT , url text not null, path text, type int not null);";

	public static final String	CREATE_TABLE_EXCEPTIONS	= "create table IF NOT EXISTS " + TABLE_EXCEPTIONS
																+ " (id INTEGER PRIMARY KEY AUTOINCREMENT , className text not null, type text not null, message text, stack text, time text);";

	public static final String	CREATE_TABLE_BEHAVIORS	= "CREATE TABLE IF NOT EXISTS " + TABLE_BEHAVIORS + " (id INTEGER PRIMARY KEY AUTOINCREMENT ,op TEXT, time TEXT,behavior TEXT)";
	
	public static final String	CREATE_TABLE_EVENTINFO	= "CREATE TABLE IF NOT EXISTS " + TABLE_EVENTINFO + " (id INTEGER PRIMARY KEY AUTOINCREMENT ,event_id TEXT, time TEXT, status TEXT,event_info TEXT)";

	public static final String	CREATE_TABLE_ACTIVITIES	= "CREATE TABLE IF NOT EXISTS " + TABLE_ACTIVITIES + " (id INTEGER PRIMARY KEY AUTOINCREMENT ,time TEXT,current_activity TEXT,refer_activity TEXT,activity_use_time TEXT, up TEXT, down TEXT)";
	
	public static final String CREATE_TABLE_SHARE = "CREATE TABLE IF NOT EXISTS " + TABLE_SHARE +" (id text PRIMARY KEY,status TEXT,time TEXT,share_page TEXT,share_sns TEXT,share_title TEXT ,share_content TEXT,share_type TEXT,share_url TEXT,share_src TEXT,extra TEXT)";
	
	public static final String CREATE_TABLE_CUSTOM	 = "CREATE TABLE IF NOT EXISTS " + TABLE_CUSTOM +" (id INTEGER PRIMARY KEY AUTOINCREMENT,custom_log TEXT)";

	public static final String CREATE_TABLE_APPLIST = "CREATE TABLE IF NOT EXISTS " + TABLE_APPLIST + " (id INTEGER PRIMARY KEY AUTOINCREMENT,appUdid TEXT,isUp TEXT,ctim INTEGER,paras TEXT)";
}