/**
 * DataCollect
 * Excutor.java
 * @author 赵自强(shenbaise1001@126.com)
 * @date 2013-12-24
 * @desc 
 */
package com.easou.users.analysis.common;

import java.util.concurrent.Callable;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;

/**
 * @author zzq(shenbaise1001@126.com)
 * @desc Excutor
 */
public class Excutor {
	
	private static ExecutorService pool ;
	
	public static Future<?> submitTask(Runnable r){
		if(pool==null){
			pool = Executors.newSingleThreadExecutor();
		}
		
		return pool.submit(r);
	};
	
	public static void submit(Runnable r){
		if(pool==null){
			pool = Executors.newSingleThreadExecutor();
		}
		pool.submit(r);
	};
	
	@SuppressWarnings({ "rawtypes", "unchecked" })
	public static Future submit(Callable call){
		if(pool==null){
			pool = Executors.newSingleThreadExecutor();
		}
		return pool.submit(call);
	}
}
